/*  xtraceroute - graphically show traceroute information.
 *  Copyright (C) 1996-1998  Bjrn Augustsson
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*       Country suffix database for xtraceroute       */

#include "xt.h"

/*   The .gov suffix defaults to Washington.  */
/*   The .mil suffix defaults to the middle of the USA.  */
/*   The .edu suffix defaults to the middle of the USA.  */

const countrycode countries[] = 
{
 {  38.53, -77.02,  "gov", "US Government"},
 {   0.00,   0.00,  "ad", "Principalty of Andorra"},
 {   0.00,   0.00,  "ae", "United Arab Emirates"},
 {   34.5,  69.12,  "af", "Afghanistan"},
 {   0.00,   0.00,  "ag", "Antigua and Barbuda"},
 {   0.00,   0.00,  "AI", "Anguilla"},
 {   0.00,   0.00,  "AL", "Albania"},
 {   0.00,   0.00,  "AM", "Armenia"},
 {   0.00,   0.00,  "AN", "Netherlands Antilles"},
 {   0.00,   0.00,  "AO", "Angola"},
 {   0.00,   0.00,  "AQ", "Antarctica"},
 {   0.00,   0.00,  "AR", "Argentina"},
 {   0.00,   0.00,  "AS", "American Samoa"},
 {   0.00,   0.00,  "AT", "Austria"},
 { -32.00, 115.00,  "au", "Australia"},
 {   0.00,   0.00,  "AW", "Aruba"},
 {   0.00,   0.00,  "AZ", "Azerbaijan"},
 {   0.00,   0.00,  "BA", "Bosnia and Herzegowina"},
 {   0.00,   0.00,  "BB", "Barbados"},
 {   0.00,   0.00,  "BD", "Bangladesh"},
 {  50.83,   4.33,  "be", "Belgium"},
 {   0.00,   0.00,  "BF", "Burkina Faso"},
 {   0.00,   0.00,  "BG", "Bulgaria"},
 {   0.00,   0.00,  "BH", "Bahrain"},
 {   0.00,   0.00,  "BI", "Burundi"},
 {   0.00,   0.00,  "BJ", "Benin"},
 {   0.00,   0.00,  "BM", "Bermuda"},
 {   0.00,   0.00,  "BN", "Brunei Darussalam"},
 {   0.00,   0.00,  "BO", "Bolivia"},
 {   0.00,   0.00,  "BR", "Brazil"},
 {   0.00,   0.00,  "BS", "Bahamas"},
 {   0.00,   0.00,  "BT", "Bhutan"},
 {   0.00,   0.00,  "BV", "Bouvet Island"},
 {   0.00,   0.00,  "BW", "Botswana"},
 {   0.00,   0.00,  "BY", "Belarus"},
 {   0.00,   0.00,  "BZ", "Belize"},
 {  45.4166, -75.7, "ca", "Canada"},
 {   0.00,   0.00,  "CC", "Cocos Islands"},
 {   0.00,   0.00,  "CF", "Central African Republic"},
 {   0.00,   0.00,  "CG", "Congo"},
 {   0.00,   0.00,  "CH", "Switzerland"},
 {   0.00,   0.00,  "CI", "Cote d'Ivoire"},
 {   0.00,   0.00,  "CK", "Cook Islands"},
 {   0.00,   0.00,  "CL", "Chile"},
 {   0.00,   0.00,  "CM", "Cameroon"},
 {  39.917, 116.417, "cn", "China"},
 {   0.00,   0.00,  "CO", "Colombia"},
 {   0.00,   0.00,  "CR", "Costa Rica"},
 {   0.00,   0.00,  "CU", "Cuba"},
 {   0.00,   0.00,  "CV", "Cape Verde"},
 {   0.00,   0.00,  "CX", "Christmas Island"},
 {   0.00,   0.00,  "CY", "Cyprus"},
 {   0.00,   0.00,  "CZ", "Czech Republic"},
 {  52.53,  13.42,  "de", "Germany"},
 {  0.00,   0.00,  "DJ", "Djibouti"},
 {  0.00,   0.00,  "DK", "Denmark"},
 {  0.00,   0.00,  "DM", "Dominica"},
 {  0.00,   0.00,  "DO", "Dominican Republic"},
 {  0.00,   0.00,  "DZ", "Algeria"},
 {  0.00,   0.00,  "EC", "Ecuador"},
 {  0.00,   0.00,  "EE", "Estonia"},
 {  0.00,   0.00,  "EG", "Egypt"},
 {  0.00,   0.00,  "EH", "Western Sahara"},
 {  0.00,   0.00,  "ER", "Eritrea"},
 {  0.00,   0.00,  "ES", "Spain"},
 {  0.00,   0.00,  "ET", "Ethiopia"},
 {  60.13,  25.00, "fi", "Finland" },
 {  0.00,   0.00,  "FJ", "Fiji"},
 {  0.00,   0.00,  "FK", "Falkland Islands"},
 {  0.00,   0.00,  "FM", "Micronesia"},
 {  0.00,   0.00,  "FO", "Faeroe Islands"},
 { 48.87,   2.33,  "fr", "France"},
 {  0.00,   0.00,  "GA", "Gabon"},
 {  51.5,    0.0,  "uk" ,"United Kingdom" },
 {  0.00,   0.00,  "GD", "Grenada"},
 {  0.00,   0.00,  "GE", "Georgia"},
 {  0.00,   0.00,  "GF", "French Guiana"},
 {  0.00,   0.00,  "GH", "Ghana"},
 {  0.00,   0.00,  "GI", "Gibraltar"},
 {  0.00,   0.00,  "GL", "Greenland"},
 {  0.00,   0.00,  "GM", "Gambia"},
 {  0.00,   0.00,  "GN", "Guinea"},
 {  0.00,   0.00,  "GP", "Guadaloupe"},
 {  0.00,   0.00,  "GQ", "Equatorial Guinea"},
 {  38.0,   23.73, "gr", "Greece" },
 {  0.00,   0.00,  "GS", "S. Georgia & Sandwich"},
 {  0.00,   0.00,  "GT", "Guatemala"},
 {  0.00,   0.00,  "GU", "Guam"},
 {  0.00,   0.00,  "GW", "Guinea-Bissau"},
 {  0.00,   0.00,  "GY", "Guyana"},
 {  0.00,   0.00,  "HK", "Hong Kong"},
 {  0.00,   0.00,  "HM", "Heard and McDonald Islands"},
 {  0.00,   0.00,  "HN", "Honduras"},
 {  0.00,   0.00,  "HR", "Hrvatska (Croatia)"},
 {  0.00,   0.00,  "HT", "Haiti, Republic of"},
 {  0.00,   0.00,  "HU", "Hungary"},
 {  0.00,   0.00,  "ID", "Indonesia"},
 {  0.00,   0.00,  "IE", "Ireland"},
 {  0.00,   0.00,  "IL", "Israel"},
 {  0.00,   0.00,  "IN", "India"},
 {  0.00,   0.00,  "IO", "British Indian Ocean Territory"},
 {  0.00,   0.00,  "IQ", "Iraq"},
 {  0.00,   0.00,  "IR", "Iran"},
 {  64.15, -21.97, "is" , "Iceland" },
 {  0.00,   0.00,  "IT", "Italy"},
 {  0.00,   0.00,  "JM", "Jamaica"},
 {  0.00,   0.00,  "JO", "Jordan, Hashemite Kingdom of"},
 { 35.75,  139.75, "JP", "Japan"},
 {  0.00,   0.00,  "KE", "Kenya, Republic of"},
 {  0.00,   0.00,  "KG", "Kyrgyz Republic"},
 {  0.00,   0.00,  "KH", "Cambodia, Kingdom of"},
 {  0.00,   0.00,  "KI", "Kiribati"},
 {  0.00,   0.00,  "KM", "Comoros"},
 {  0.00,   0.00,  "KN", "Saint Kitts and Nevis"},
 {  0.00,   0.00,  "KP", "Korea (North)"},
 {  0.00,   0.00,  "KR", "Korea (South)"},
 {  0.00,   0.00,  "KW", "Kuwait"},
 {  0.00,   0.00,  "KY", "Cayman Islands"},
 {  0.00,   0.00,  "KZ", "Kazakhstan"},
 {  0.00,   0.00,  "LA", "Lao"},
 {  0.00,   0.00,  "LB", "Lebanon"},
 {  0.00,   0.00,  "LC", "Saint Lucia"},
 {  0.00,   0.00,  "LI", "Liechtenstein"},
 {  0.00,   0.00,  "LK", "Sri Lanka"},
 {  0.00,   0.00,  "LR", "Liberia, Republic of"},
 {  0.00,   0.00,  "LS", "Lesotho, Kingdom of"},
 {  0.00,   0.00,  "LT", "Lithuania"},
 {  0.00,   0.00,  "LU", "Luxembourg, Grand Duchy of"},
 {  0.00,   0.00,  "LV", "Latvia"},
 {  0.00,   0.00,  "LY", "Libya"},
 {  0.00,   0.00,  "MA", "Morocco, Kingdom of"},
 {  0.00,   0.00,  "MC", "Monaco, Principality of"},
 {  0.00,   0.00,  "MD", "Moldova, Republic of"},
 {  0.00,   0.00,  "MG", "Madagascar, Republic of"},
 {  0.00,   0.00,  "MH", "Marshall Islands"},
 {  0.00,   0.00,  "MK", "Macedonia"},
 {  0.00,   0.00,  "ML", "Mali"},
 {  0.00,   0.00,  "MM", "Myanmar"},
 {  0.00,   0.00,  "MN", "Mongolia"},
 {  0.00,   0.00,  "MO", "Macau"},
 {  0.00,   0.00,  "MP", "Northern Mariana Islands"},
 {  0.00,   0.00,  "MQ", "Martinique"},
 {  0.00,   0.00,  "MR", "Mauritania"},
 {  0.00,   0.00,  "MS", "Montserrat"},
 {  0.00,   0.00,  "MT", "Malta, Republic of"},
 {  0.00,   0.00,  "MU", "Mauritius"},
 {  0.00,   0.00,  "MV", "Maldives, Republic of"},
 {  0.00,   0.00,  "MW", "Malawi, Republic of"},
 { 19.40, -99.15,  "mx", "Mexico"},
 {  0.00,   0.00,  "MY", "Malaysia"},
 {  0.00,   0.00,  "MZ", "Mozambique"},
 {  0.00,   0.00,  "NA", "Namibia"},
 {  0.00,   0.00,  "NC", "New Caledonia"},
 {  0.00,   0.00,  "NE", "Niger, Republic of the"},
 {  0.00,   0.00,  "NF", "Norfolk Island"},
 {  0.00,   0.00,  "NG", "Nigeria, Federal Republic of"},
 {  0.00,   0.00,  "NI", "Nicaragua, Republic of"},
 { 52.35,   4.90,  "NL", "Netherlands, Kingdom of the"},
 { 59.93,  10.75,  "no", "Kingdom of Norway"  },
 {  0.00,   0.00,  "NP", "Nepal, Kingdom of"},
 {  0.00,   0.00,  "NR", "Nauru, Republic of"},
 {  0.00,   0.00,  "NU", "Niue"},
 {  0.00,   0.00,  "NZ", "New Zealand"},
 {  0.00,   0.00,  "OM", "Oman, Sultanate of"},
 {  0.00,   0.00,  "PA", "Panama, Republic of"},
 {  0.00,   0.00,  "PE", "Peru, Republic of"},
 {  0.00,   0.00,  "PF", "French Polynesia"},
 {  0.00,   0.00,  "PG", "Papua New Guinea"},
 {  0.00,   0.00,  "PH", "Philippines, Republic of the"},
 {  0.00,   0.00,  "PK", "Pakistan, Islamic Republic of"},
 {  0.00,   0.00,  "PL", "Poland"},
 {  0.00,   0.00,  "PM", "St. Pierre et Miquelon"},
 {  0.00,   0.00,  "PN", "Pitcairn Island"},
 {  0.00,   0.00,  "PR", "Puerto Rico"},
 {  0.00,   0.00,  "PT", "Portugal, Portuguese Republic"},
 {  0.00,   0.00,  "PW", "Palau"},
 {  0.00,   0.00,  "PY", "Paraguay, Republic of"},
 {  0.00,   0.00,  "QA", "Qatar, State of"},
 {  0.00,   0.00,  "RE", "Reunion"},
 { 44.43,  26.10,  "ro", "Romania"},
 {  0.00,   0.00,  "RU", "Russian Federation"},
 {  0.00,   0.00,  "RW", "Rwanda, Rwandese Republic"},
 {  0.00,   0.00,  "SA", "Saudi Arabia, Kingdom of"},
 {  0.00,   0.00,  "SB", "Solomon Islands"},
 {  0.00,   0.00,  "SC", "Seychelles, Republic of"},
 {  0.00,   0.00,  "SD", "Sudan"},
 { 59.33,  18.08,  "se" , "Kingdom of Sweden"},
 {  0.00,   0.00,  "SG", "Singapore, Republic of"},
 {  0.00,   0.00,  "SH", "St. Helena"},
 {  0.00,   0.00,  "SI", "Slovenia"},
 {  0.00,   0.00,  "SJ", "Svalbard & Jan Mayen Islands"},
 {  0.00,   0.00,  "SK", "Slovakia"},
 {  0.00,   0.00,  "SL", "Sierra Leone, Republic of"},
 {  0.00,   0.00,  "SM", "San Marino, Republic of"},
 {  0.00,   0.00,  "SN", "Senegal, Republic of"},
 {  0.00,   0.00,  "SO", "Somalia"},
 {  0.00,   0.00,  "SR", "Suriname, Republic of"},
 {  0.00,   0.00,  "ST", "Sao Tome and Principe"},
 {  0.00,   0.00,  "SV", "El Salvador, Republic of"},
 {  0.00,   0.00,  "SY", "Syrian Arab Republic"},
 {  0.00,   0.00,  "SZ", "Swaziland, Kingdom of"},
 {  0.00,   0.00,  "TC", "Turks and Caicos Islands"},
 {  0.00,   0.00,  "TD", "Chad, Republic of"},
 {  0.00,   0.00,  "TF", "French Southern Territories"},
 {  0.00,   0.00,  "TG", "Togo, Togolese Republic"},
 {  0.00,   0.00,  "TH", "Thailand, Kingdom of"},
 {  0.00,   0.00,  "TJ", "Tajikistan"},
 {  0.00,   0.00,  "TK", "Tokelau"},
 {  0.00,   0.00,  "TM", "Turkmenistan"},
 {  0.00,   0.00,  "TN", "Tunisia, Republic of"},
 {  0.00,   0.00,  "TO", "Tonga, Kingdom of"},
 {  0.00,   0.00,  "TP", "East Timor"},
 {  0.00,   0.00,  "TR", "Turkey, Republic of"},
 {  0.00,   0.00,  "TT", "Trinidad and Tobago"},
 {  0.00,   0.00,  "TV", "Tuvalu"},
 {  0.00,   0.00,  "TW", "Taiwan"},
 {  0.00,   0.00,  "TZ", "Tanzania, United Republic of"},
 {  0.00,   0.00,  "UA", "Ukraine"},
 {  0.00,   0.00,  "UG", "Uganda, Republic of"},
 {  0.00,   0.00,  "UM", "US. Minor Outlying Islands"},
 {  0.00,   0.00,  "US", "United States of America"},
 {  0.00,   0.00,  "UY", "Uruguay, Eastern Republic of"},
 {  0.00,   0.00,  "UZ", "Uzbekistan"},
 {  0.00,   0.00,  "VA", "Vatican City State"},
 {  0.00,   0.00,  "VC", "St Vincent & the Grenadines"},
 {  0.00,   0.00,  "VE", "Venezuela, Republic of"},
 {  0.00,   0.00,  "VG", "British Virgin Islands"},
 {  0.00,   0.00,  "VI", "US Virgin Islands"},
 {  0.00,   0.00,  "VN", "Viet Nam"},
 {  0.00,   0.00,  "VU", "Vanuatu"},
 {  0.00,   0.00,  "WF", "Wallis and Futuna Islands"},
 {  0.00,   0.00,  "WS", "Western Samoa"},
 {  0.00,   0.00,  "YE", "Yemen"},
 {  0.00,   0.00,  "YT", "Mayotte"},
 {  0.00,   0.00,  "YU", "Montenegro and Serbia"},
 { -33.93,  18.47, "za", "Republic of South Africa" },
 {  0.00,   0.00,  "ZM", "Zambia, Republic of"},
 {  0.00,   0.00,  "ZR", "Zaire, Republic of"},
 {  0.00,   0.00,  "ZW", "Zimbabwe"}
};

const int n_countries  = sizeof(countries) / sizeof(countrycode);

